Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier
Class VerifierFactoryListModel

    java.lang.Object
      |
      +--org.apache.bcel.verifier.VerifierFactoryListModel

All Implemented Interfaces:
  javax.swing.ListModel, VerifierFactoryObserver

public class VerifierFactoryListModel
extends java.lang.Object
implements VerifierFactoryObserver, javax.swing.ListModel

This class implements an adapter; it implements both a Swing ListModel and a VerifierFactoryObserver.

Version:
  $Id: VerifierFactoryListModel.java,v 1.1.1.1 2001/10/29 20:00:32 jvanzyl Exp $
Author:
  Enver Haase

Constructor Summary
`VerifierFactoryListModel()`

Method Summary
`void` | `addListDataListener(javax.swing.event.ListDataListener l)`
`java.lang.Object` | `getElementAt(int index)`
`int` | `getSize()`
`void` | `removeListDataListener(javax.swing.event.ListDataListener l)`
`void` | `update(java.lang.String s)` VerifierFactoryObserver instances are notified invoking this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifierFactoryListModel

    public VerifierFactoryListModel()

Method Detail

### update

    public void update(java.lang.String s)

  Description copied from interface: `VerifierFactoryObserver`
  VerifierFactoryObserver instances are notified invoking this method. The String argument is the fully qualified class name of a class a new Verifier instance created by the VerifierFactory operates on.

  Specified by:
    `update` in interface `VerifierFactoryObserver`

### addListDataListener

    public void addListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `addListDataListener` in interface `javax.swing.ListModel`

### removeListDataListener

    public void removeListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `javax.swing.ListModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.